XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.SystemException To be added.

Returns detailed information about the last exception.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "An XML error has occurred." This message takes into account the current system culture.

  The property is initialized to . The and properties are initialized to zero.

  Initializes a new instance of the XmlException class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance using . If the parameter is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property is initialized to . The and properties are initialized to zero.

  Initializes a new instance of the XmlException class with a specified error message.

  The error description.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the XmlException class using the information in the and objects.

  The SerializationInfo object containing all the properties of an XmlException.
  The StreamingContext object containing the context information.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance using and the property using . If the parameter is , the property is set to the system-supplied message provided by the constructor that takes no arguments.

  The and properties are initialized to zero.

  For more information on inner exceptions, see .

  The that threw the XmlException, if any. This value can be null.

  Initializes a new instance of the XmlException class.

  The description of the error condition.
  The that threw the XmlException, if any. This value can be null.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance using , the property using , the property using , and the property using . If the parameter is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  For information on inner exceptions, see .

  Initializes a new instance of the XmlException class with the specified message, inner exception, line number, and line position.

  The error description.
  The exception that is the cause of the current exception. This value can be null.
  The line number indicating where the error occurred.
  The line position indicating where the error occurred.
  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Streams all the XmlException properties into the class for the given .

  The SerializationInfo object. The StreamingContext object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A containing the line number where the error occurred.

  This property is read-only.

  Gets the line number indicating where the error occurred.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A containing the character position where the error occurred.

  This property is read-only.

  The first character in the line is in position 1. Note that white space characters at the start of the line are not skipped.

  Gets the line position indicating where the error occurred.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the error message that describes the current exception.

  This property is read-only.

  If the property is not equal to zero, the string returned by this property includes the values of the and properties.

  This property overrides .

  Gets a message describing the current exception.

  0
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the location of the XML file.

0